{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

<div class="box box-default">
    <div class="box-header with-border">
        <h3 class="box-title">Derniers messages</h3>
        <div class="box-tools pull-right">
            <a href="{{ path('support.index') }}" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> Centre de support</a>
        </div>
    </div>
    <!-- /.box-header -->

    {% if widget_messages is defined and widget_messages|length > 0 %}
        <div class="box-body p-0">
            {% set can_see_admin = is_granted('support.see.admin') %}
            <ul class="m-0">
                {% for message in widget_messages %}

                    {% set author_is_admin = message.last_post.user is not null and has_role('ROLE_ADMIN', message.last_post.user) %}
                    {% set logo_color = author_is_admin == true ? ' bg-yellow' : ' bg-blue' %}
                    {% set text_highlight = ' text-black' %}
                    {% set logo_icon = message.is_new_thread == true ? ' fa-envelope' : ' fa-comment' %}
                    {# if user is removed #}
                    {% if message.last_post.user is null %}
                        {% set user_name = 'Utilisateur supprimé' %}
                    {% else %}
                        {% set user_name = author_is_admin == true and can_see_admin == true or author_is_admin == false
                        ? message.last_post.user.fullName
                        : "Équipe support"
                        %}
                    {% endif %}

                    {% set new = message.last_read == null or date(message.last_post.createdAt) > date(message.last_read.date) %}
                    {% if new == false %}{% set logo_color = '' %}{% set text_highlight = '' %}{% endif %}

                    <li>
                        <a href="{{ path('support.thread', { id: message.thread.id, _fragment: message.last_post.id }) }}">
                            <i class="fa{{ logo_icon }}{{ logo_color }}"></i>
                            <div class="message-info">
                                <span class="message-header{{ text_highlight }}">
                                    <small class="message-date pull-right">    {{ (message.last_post.createdAt | moment).calendar() | capitalize }}
                                    </small>
                                    {{ message.thread.title }}
                                </span>
                                <span class="message-text">{{ user_name }} : {{ message.last_post.content | truncate(30, true, '...') }}</span>
                            </div>
                            <!-- /.contacts-list-info -->
                        </a>
                    </li>
                {% endfor %}
            </ul>
        </div>
    {% else %}
        <div class="box-body">
            {% if widget_messages is defined %}<div class="text-muted-light">Aucun message à afficher</div>{% endif %}
        </div>
    {% endif %}
    <!-- /.box-footer -->
</div>